API ReferenceSubscriptionsAdd Subscription
Add Subscription
Add an existing contact globally in the directory to a subscription group list. This endpoint uses the POST method, returning 201 Created if a new subscription is created, and 200 OK if the contact is already subscribed. It returns 404 CONTACT_NOT_FOUND if the contact is not registered in the directory first.
POST
https://wapi.simplysend.email/web-setup/contacts/subscription-groups/{subscriptionGroupId}/subscriptionsParameters
subscriptionGroupIdRequiredstring
The unique ID of the subscription group (path parameter).
email*string
Existing contact email address to subscribe.* Either email, phone, or contactIdentifier must be provided.
phone*string
Existing contact phone number to subscribe.* Either email, phone, or contactIdentifier must be provided.
contactIdentifier*string
Existing contact identifier (e.g. 'email_<md5>' or 'phone_<md5>').* Either email, phone, or contactIdentifier must be provided.
isActiveboolean
Whether the subscription is active. Defaults to true.
consentMethodstring
Optional consent method to sync to the contact profile. Valid values: 'double_opt_in', 'single_opt_in', 'imported', 'web_form', 'implicit_api', 'other'.
consentDetailsstring
Optional consent details or audit notes to sync to the contact profile (e.g. 'Footer newsletter signup form').
RequestPOST
curl -X POST https://wapi.simplysend.email/web-setup/contacts/subscription-groups/newsletter_list/subscriptions \
-H "X-Api-Key: your_api_key" \
-H "X-Id: your_account_id" \
-H "Content-Type: application/json" \
-d '{
"email": "[email protected]",
"isActive": true,
"consentMethod": "web_form",
"consentDetails": "Footer newsletter signup form"
}'Response
{
"success": true,
"data": {
"message": "Subscriber added successfully",
"subscriber": {
"subscriptionGroupId": "newsletter_list",
"contactIdentifier": "email_4832981775432a1383848b8137350438",
"email": "[email protected]",
"userId": "e4f85498-b081-70f3-7d20-65a8697259c8",
"isActive": true,
"joinedAt": "2026-03-02T07:30:06.337Z",
"source": "api",
"consentMethod": "web_form",
"consentDetails": "Footer newsletter signup form"
}
}
}